
Foreman - Feature #31363

PXE templates should support dual stack hosts

11/21/2020 09:28 AM - Ronny Bremer

Status: Ready For Testing   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases: 2.2.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8145

  

Description

The PXE templates currently include the kickstart_kernel_options snippet, which does not work when both an IPv4 and v6 network

is assigned to the host.

From what I can see there is a check for dual stack inside the snippet, which returns an error. I have adopted the template to work by

preferring IPv4 over v6 in a PXE environment if both are configured at the host. I will create a pull request and would love feedback

and corrections. Maybe it can be included in a future version.

Related issues:

Related to Foreman - Feature #31370: Template snapshot multi-host render tests Closed

History

#1 - 11/21/2020 03:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8145 added

#2 - 11/23/2020 03:37 PM - Ronny Bremer

- Related to Feature #31370: Template snapshot multi-host render tests added
